Package org.apache.synapse.transport.http.access

# Class AccessConfiguration

java.lang.Object
org.apache.synapse.transport.http.access.AccessConfiguration

public class AccessConfiguration extends Object
Copyright (c) 2015, WSO2 Inc. (http://www.wso2.org) All Rights Reserved. WSO2 Inc. licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getBooleanProperty(String name)`
  Get a Boolean property of access configuration.
  `Boolean`
  `getBooleanProperty(String name, Boolean def)`
  Get a boolean property of access configuration.
  `static AccessConfiguration`
  `getInstance()`
  `Integer`
  `getIntProperty(String name)`
  Get an int of access configuration.
  `Integer`
  `getIntProperty(String name, Integer def)`
  Get an int property of access configuration.
  `String`
  `getStringProperty(String name, String def)`
  Get a String property of access configuration.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static AccessConfiguration getInstance()

  - ### getIntProperty

    public Integer getIntProperty(String name, Integer def)
    Get an int property of access configuration.
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### getIntProperty

    public Integer getIntProperty(String name)
    Get an int of access configuration.
    Parameters:
      `name` - name of the system/config property
    Returns:
      the value of the property, null if the property is not found

  - ### getBooleanProperty

    public Boolean getBooleanProperty(String name, Boolean def)
    Get a boolean property of access configuration.
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used

  - ### getBooleanProperty

    public Boolean getBooleanProperty(String name)
    Get a Boolean property of access configuration.
    Parameters:
      `name` - name of the system/config property
    Returns:
      the value of the property, null if the property is not found

  - ### getStringProperty

    public String getStringProperty(String name, String def)
    Get a String property of access configuration.
    Parameters:
      `name` - name of the system/config property
      `def` - default value to return if the property is not set
    Returns:
      the value of the property to be used